Search documentation of polar_express

# PolarExpress.Services.DisputesService (polar_express v0.1.5)

Copy Markdown View Source

Disputes

Disputes API operations.

## Summary

### Functions

get_dispute(client, id, params \\ %{}, opts \\ [])

Get Dispute

list_disputes(client, params \\ %{}, opts \\ [])

List Disputes

## Functions

# get_dispute(client, id, params \\ %{}, opts \\ [])

    @spec get_dispute(PolarExpress.Client.t(), String.t(), map(), keyword()) ::
      {:ok, PolarExpress.Schemas.Dispute.t()} | {:error, PolarExpress.Error.t()}

Get Dispute

Get a dispute by ID.

Scopes: `disputes:read`

See `PolarExpress.Params.DisputesGetDisputeParams` for parameter details.

# list_disputes(client, params \\ %{}, opts \\ [])

    @spec list_disputes(PolarExpress.Client.t(), map(), keyword()) ::
      {:ok, PolarExpress.ListObject.t()} | {:error, PolarExpress.Error.t()}

List Disputes

List disputes.

Scopes: `disputes:read`

See `PolarExpress.Params.DisputesListDisputesParams` for parameter details.